stages:
  - build

# Build Docker image
build_img:
  stage: build
  tags:
    - shell
  rules:
    - if: $CI_COMMIT_TAG
  variables:
    IMAGE_VERSIONED_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
    IMAGE_LATEST_TAG: $CI_REGISTRY_IMAGE:latest
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    - docker build -t $IMAGE_VERSIONED_TAG -t $IMAGE_LATEST_TAG .
    - docker push $IMAGE_VERSIONED_TAG
    - docker push $IMAGE_LATEST_TAG
